:host(thead) {
  /*** Use to set <thead> top, programmatically, to offset sticky position according
  when crud-handler-component is visible (height of product-table-component),
  and when hidden (px).

  NB: Setting units in the programmatic declaration is necessary, else the value will
  be deemed void and default value of 0px adopted. ***/
  --stickyPosTop: 0px;
}

app-crud-handler {
  position: sticky;
  top: 0;
}

#itc-root {
  padding: 0 var(--window-clearance);
  /*Add bottom clearance to the end of the list so the end of the list is obvious*/
  padding-bottom: 24px !important;
  max-width: var(--max-target-width);
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: 0 auto;
}

table {
  width: 100%;
  border-spacing: 0;
}

thead {
  color: white;
  font-weight: bold;
  position: sticky;
  top: var(--stickyPosTop, 0px);
  z-index: 8;
  background-color: white;
}

tr#header-attr-row {
  background-color: var(--primary-dark);
}

tbody {
  background-color: var(--primary-light);
}

tr#header-attr-row {
  width: 100%;
}

/*region <th> Width Sizing*/

th {
  padding: 12px;
}

th.header-cell:nth-child(1) {
  width: 30%;
}

th.header-cell:nth-child(2) {
  width: 35%;
}

th.header-cell:nth-child(3), th.header-cell:nth-child(4) {
  width: 10%;
}

th.header-cell:nth-child(5) {
  width: 15%;
}

@media screen and (min-width: 601px) and (max-width: 750px) {
  /*OVERRIDES*/
  th.header-cell:nth-child(1) {
    width: 29% !important;
  }

  th.header-cell:nth-child(2) {
    width: 30% !important;
  }

  th.header-cell:nth-child(3), th.header-cell:nth-child(4) {
    width: 13% !important;
  }

  th.header-cell:nth-child(5) {
    width: 15% !important;
  }
}

/*endregion*/

#add-btn-th {
  /*override the set default*/
  padding: 0 !important;
}

td {
  padding: 4px 12px 8px;
  border: 2px solid white;
  /*Break words up that don't fit in a row', but default to (break-all) breaking letters
  when the cell width can no longer contain an entire a word*/
  word-break: break-word;
}

@media screen and (max-width: 600px) {
  #header-attr-row {
    display: none;
  }

  #header-btn-row {
    background-color: var(--primary-dark);
  }

  td:not(:first-child) {
    /*Hide all other columns but the first, which holds "name" column title as well as the single-card*/
    display: none;
  }

  .single-card {
    display: grid;
    grid-template-columns: auto 25%;
    column-gap: 12px;
  }

  /*td:first-child */
  .single-card-entry:first-child {
    font-weight: bold;
    padding: 8px 0 4px;
    grid-column: 1/3; /*Span across the two-columned grid, .single-card*/
  }

  .price, .origin {
    text-align: end;
  }
}

@media screen and (min-width: 601px) {
  .single-card-entry:not(:first-child) {
    display: none;
  }

  /*Within the single-card, hide all values except the first which represents the name of the product,
  and thus aligns with the column title - "name"*/
  .single-card-entry:not(:first-child) {
    display: none;
  }
}

p {
  margin: 0;
}

/*region Buttons */

#add-btn-wrapper {
  display: flex; /*Required for spacer to be applied*/
}

.update-delete-wrapper {
  display: flex;
}

#add-btn {
  margin: 8px 12px;
}

.card-update-delete-btn {
  margin: 12px 0 0; /*Margin on the btn means they carryover when in single-card mode*/
}

#delete-btn {
  /*Sets the gap between buttons*/
  margin-left: 12px !important;
}

/*endregion*/
